NAME=paddle
VERSION=latest
BUILD_TIME      := $(shell date "+%F %T")
COMMIT_SHA1     := $(shell git rev-parse HEAD)
AUTHOR          := $(shell git show -s --format='%an')


.PHONY: all gpu cpu

all: gpu
gpu:
	@docker build -t registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):gpu --build-arg VERSION=gpu .
	# @docker push registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):gpu

cpu:
	@docker build -f cpu.Dockerfile -t registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):cpu --build-arg VERSION=cpu .
	# @docker push registry.cn-hangzhou.aliyuncs.com/sxtest/$(NAME):cpu
